### Method

# EvinceDocument Document synctex_backward_search

#### Declaration [src]

    EvSourceLink*
    ev_document_synctex_backward_search (
      EvDocument* document,
      gint page_index,
      gfloat x,
      gfloat y
    )

#### Description [src]

Peforms a Synctex backward search to obtain the TeX input file, line and (possibly) column corresponding to the position (`x`,`y`) (in 72dpi coordinates) in the `page` of `document`.

#### Parameters

`page_index`

  Type: `gint`

  The target page.

`x`

  Type: `gfloat`

  X coordinate.

`y`

  Type: `gfloat`

  Y coordinate.

#### Return value

Type: `EvSourceLink`

A pointer to the EvSourceLink structure that holds the result. `NULL` if synctex is not enabled for the document or no result is found. The EvSourceLink pointer should be freed with g_free after it is used.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.